# SetWorkspaceWeighting

> Set an attribution weighting key for a domain. Admin access, attribution toolset, MCP tool set_workspace_weighting.

**Access:** [Admin](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `input` | `SetWorkspaceWeightingInput!` | yes | Input object, below |  |

## Input types

### SetWorkspaceWeightingInput

| Field | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `domain` | `String!` | yes | One of `spike`, `attribution` |  |
| `key` | `String!` | yes | 1 to 48 characters |  |
| `value` | `Float` | no |  |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"SetWorkspaceWeighting","variables":{"input":{"domain":"spike","key":"…"}},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"ca3c93fee722d8286e97b5062a64f288b5685a1be69eaa10d2b6ca978bdbbdf5"}}}'
```

## Document

```graphql
mutation SetWorkspaceWeighting($input: SetWorkspaceWeightingInput!) { __typename setWorkspaceWeighting(input: $input) { __typename userErrors { __typename code field message } value } }
```

Source: https://developer.missin.co.uk/reference/attribution/set-workspace-weighting
